Open CASCADE Technology
7.2.0
|
Implements construction algorithms for an arc of parabola in the plane. The result is a Geom2d_TrimmedCurve curve. A MakeArcOfParabola object provides a framework for: More...
#include <GCE2d_MakeArcOfParabola.hxx>
Public Member Functions | |
GCE2d_MakeArcOfParabola (const gp_Parab2d &Parab, const Standard_Real Alpha1, const Standard_Real Alpha2, const Standard_Boolean Sense=Standard_True) | |
Make an arc of Parabola (TrimmedCurve from Geom2d) from a Parabola between two parameters Alpha1 and Alpha2. More... | |
GCE2d_MakeArcOfParabola (const gp_Parab2d &Parab, const gp_Pnt2d &P, const Standard_Real Alpha, const Standard_Boolean Sense=Standard_True) | |
Make an arc of Parabola (TrimmedCurve from Geom2d) from a Parabola between point. More... | |
GCE2d_MakeArcOfParabola (const gp_Parab2d &Parab, const gp_Pnt2d &P1, const gp_Pnt2d &P2, const Standard_Boolean Sense=Standard_True) | |
Make an arc of Parabola (TrimmedCurve from Geom2d) from a Parabola between two points P1 and P2. Please, note: the orientation of the arc of parabola is: More... | |
const Handle< Geom2d_TrimmedCurve > & | Value () const |
Returns the constructed arc of parabola. More... | |
operator const Handle< Geom2d_TrimmedCurve > & () const | |
Public Member Functions inherited from GCE2d_Root | |
Standard_Boolean | IsDone () const |
Returns true if the construction is successful. More... | |
gce_ErrorType | Status () const |
Returns the status of the construction. More... | |
Additional Inherited Members | |
Protected Attributes inherited from GCE2d_Root | |
gce_ErrorType | TheError |
Implements construction algorithms for an arc of parabola in the plane. The result is a Geom2d_TrimmedCurve curve. A MakeArcOfParabola object provides a framework for:
GCE2d_MakeArcOfParabola::GCE2d_MakeArcOfParabola | ( | const gp_Parab2d & | Parab, |
const Standard_Real | Alpha1, | ||
const Standard_Real | Alpha2, | ||
const Standard_Boolean | Sense = Standard_True |
||
) |
Make an arc of Parabola (TrimmedCurve from Geom2d) from a Parabola between two parameters Alpha1 and Alpha2.
GCE2d_MakeArcOfParabola::GCE2d_MakeArcOfParabola | ( | const gp_Parab2d & | Parab, |
const gp_Pnt2d & | P, | ||
const Standard_Real | Alpha, | ||
const Standard_Boolean | Sense = Standard_True |
||
) |
Make an arc of Parabola (TrimmedCurve from Geom2d) from a Parabola between point.
and the parameter Alpha.
GCE2d_MakeArcOfParabola::GCE2d_MakeArcOfParabola | ( | const gp_Parab2d & | Parab, |
const gp_Pnt2d & | P1, | ||
const gp_Pnt2d & | P2, | ||
const Standard_Boolean | Sense = Standard_True |
||
) |
Make an arc of Parabola (TrimmedCurve from Geom2d) from a Parabola between two points P1 and P2. Please, note: the orientation of the arc of parabola is:
|
inline |
const Handle< Geom2d_TrimmedCurve >& GCE2d_MakeArcOfParabola::Value | ( | ) | const |
Returns the constructed arc of parabola.